Subject: Looking For an Anvil

From: [email-masked] (Jay Griffin)
Date: Sat, 26 Mar 1994 01:24:21 GMT

My personal experience says forget about the railroad track anvil idea...

This idea came out of the 60s and 70s "crafts" revolution and I spent 
untold hours in the basement grinding out the horn on mine.  I had an 
upset step-mother because there was iron dust all throught the house (the 
central air system works..)

Once finished, this "anvil" did nothing but frustrate me, even having 
been bolted down securely.  Nothing replaces a good old anvil even if it 
is only a 75 pounder or so.

-- 
                             JAY L. GRIFFIN
                 Journeyman, Blacksmith, Jack-of-all-Trades
-------------- a "little bundles of wonder" correspondence [TM] ---------------
                                                 [email-masked]